#!/usr/bin/python3
import os
import syslog
import docker
import configparser

client = docker.from_env()


def main():
    config = configparser.ConfigParser()
    config.read("/etc/image-loader/loader.ini")
    name = config.get("image", "name")
    load_cmd = config.get("image", "load_cmd")
    tag = config.get("image", "tag")
    images = client.images.list()
    if not images:
        try:
            res = os.system(load_cmd)
            syslog.syslog(name + "image load finish")
            os.system("service service-runtime restart")
        except Exception as e:
            syslog.syslog(syslog.LOG_ERR, name + "image load failed")
    for image in images:
        if name + ":" + tag in image.tags:
            syslog.syslog(name + "image has been load already")


if __name__ == '__main__':
    main()
